Bug 1273843 - Build fails for no pip command in python-33-rhel7 images
Build fails for no pip command in python-33-rhel7 images
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Scott Dodson
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 07:36 EDT by Wenjing Zheng
Modified: 2015-11-23 09:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2015-10-21 07:36:37 EDT
Description of problem:
Build fails for no pip command as below:
I1021 05:28:43.884919       1 sti.go:430] ---> Copying application source ...
I1021 05:28:43.917080       1 sti.go:430] ---> Installing dependencies ...
E1021 05:28:44.008645       1 util.go:85] /usr/libexec/s2i/assemble: line 20: pip: command not found
I1021 05:28:45.431186       1 docker.go:462] Container wait returns with 127 and <nil>
I1021 05:28:45.431230       1 docker.go:469] Container exited

Version-Release number of selected component (if applicable):
openshift v3.0.2.901-61-g568adb6
kubernetes v1.1.0-alpha.1-653-g86b4e77
python-33-rhel7  a10e6974a67f

How reproducible:
always

Steps to Reproduce:
1. Create a new project
2. Create app with APP_CONFIG defined
$oc new-app python~https://github.com/wzheng1/django-ex.git
3. Check build status

Actual results:
Build failed for no pip command found

Expected results:
It should succeed like python-27-rhel7 and python-34-rhel7

Additional info:
Comment 5 Wenjing Zheng 2015-10-23 06:44:30 EDT
Have checked lasted image, still can reproduce, will verify when image being updated:
python-33-rhel7:11e98c3dea9d
Comment 7 Wenjing Zheng 2015-10-26 01:51:02 EDT
Verified with rebuilt python-33-rhel7 image, no such issue now. Thanks, Scott!
python-33-rhel7  cb23a3cb7a69
Comment 8 Brenton Leanhardt 2015-11-23 09:25:27 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.